package com.platform.modules.plm.util;

import org.apache.commons.lang3.StringUtils;

public enum AudioTypeEnum {
	
	MP3("mp3");

    private String name;

    AudioTypeEnum(String name) {
        this.setName(name);
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 视频文件校验
     *
     * @param suffix
     * @return
     */
    public static boolean isAudio(String suffix) {
        if (StringUtils.isEmpty(suffix)) {
            return false;
        }
        for (AudioTypeEnum item : values()) { 
            if (item.getName().equals(suffix)) {
                return true;
            }
        }
        return false;
    }

}
